<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title></title>
	<link rel="stylesheet" type="text/css"
		href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.2/css/all.min.css">
	<style type="text/css">
		* {
			padding: 0;
			margin: 0;
			font-family: sans-serif;
		}

		header {
			background-color: black;
			text-align: center;
			color: white;
			padding: 20px 0;

		}

		#main-container,
		.tasks-container {
			border: 2px solid black;
			width: 500px;
			margin: 100px auto;
			padding: 50px;
			border-radius: 5px;
		}

		div>div {
			padding: 10px 20px;
			width: 90%;
		}

		label {
			font-size: 20px;
			display: block;
			padding: 5px 0;
		}

		input {
			width: 100%;
			font-size: 20px;
			padding: 5px 10px;
			border: 1px solid blue;
			outline: none;
			border-radius: 3px;
		}

		.submit-btn {
			padding: 10px 0;
			text-align: center;
			width: 30%;
			margin: auto;
			background: none;
			border-radius: 5px;
			font-size: 15px;
			font-weight: 700;
		}

		button:hover {
			background: black;
			color: white;
		}

		.tasks-container>ul {
			list-style: none;
		}

		.tasks-container>ul>li {
			font-weight: 400;
			font-size: 1.2rem;
			margin: 5px 0;
			background: rgba(138, 135, 135, .3);
			padding: 10px 20px;
			border-radius: 5px;
			display: flex;
			align-items: center;
			justify-content: space-between;
		}

		.close-btn {
			padding: 5px 8px;
			border-radius: 50%;
			background: none;
		}
	</style>
</head>

<body>
	<header>
		<h1>TASK Remainder </h1>
	</header>
	<div id="main-container">
		<div>
			<label for="taskBar">Enter Task Name</label>
			<input type="text" id="taskBar">
		</div>
		<div>
			<button type="submit" class="submit-btn">Submit</button>
		</div>

	</div>
	<div class="tasks-container">
		<ul>

		</ul>
	</div>
	<script type="text/javascript">
		let btn = document.getElementsByTagName('button')[0];


		btn.addEventListener('click', () => {
			let newTask = document.getElementById('taskBar').value;
			if (newTask !== "") {

				let allTask = localStorage['tasks'] ? JSON.parse(localStorage['tasks']) : [];
				console.log(allTask);
				allTask[allTask.length] = newTask;
				localStorage['tasks'] = JSON.stringify(allTask);
				document.getElementById('taskBar').value = "";
				displayTask();
			}
		})
		function displayTask() {
			let tasks = localStorage.getItem("tasks") ? JSON.parse(localStorage.getItem('tasks')) : [];
			let ul = document.querySelector('.tasks-container>ul');
			ul.innerHTML = "";
			let allLi = ""
			for (let i = 0; i < tasks.length; i++) {
				allLi += `<li><span>${tasks[i]}</span><button class="close-btn fa fa-xmark" onclick="deleteTask(${i})"></button></li>`
				// let li = document.createElement('li');
				// let span = document.createElement('span');
				// span.innerText = tasks[i];
				// let button = document.createElement('button');
				// button.innerText = "X";
				// li.appendChild(span);
				// li.appendChild(button);
				// ul.appendChild(li);
				// console.log(span);
			}
			ul.innerHTML = allLi;
		}
		displayTask();
		function deleteTask(index) {
			let tasks = JSON.parse(localStorage['tasks']);
			tasks.splice(index, 1);
			localStorage.setItem('tasks', JSON.stringify(tasks));
			displayTask();
		}
	</script>
</body>

</html>